#include <bits/stdc++.h>
#define maxn 1550

using namespace std;
typedef long long ll;

int n,m;
int a[maxn][maxn];

int main()
{
    cin >> n >> m;
    for(int i=0; i<n; i++){
        for(int j=0; j<m; j++){
            cin >> a [i][j];
        }
    }
    cout << (a[0][0]^a[n-1][m-1]) << "\n";
}